<?php
// remove main page
$page['header'] = LBL_REMOVE;
$page['crumbs'][] = 'teams';
$page['content'] = '';

//$page['content'] .= "<pre>" . print_r($_POST, true) . "</pre>\n";

$group_id = $_POST['group_id'];
$new_removes = $_POST['removes'];
$new_del_requests = $_POST['del_requests'];

$gr = new_grouper();
if (!$gr->isConnected()) {
  $page['errors'][] = ERROR_GROUPER_CONNECT;
  return;
}
if (!db_connect($db)) {
  $page['errors'][] = ERROR_DB_CONNECT;
  return;
}

// Handle member deletes (by removebox).
if (isset($new_removes)) {
  foreach($new_removes as $remove) {
    if (!($remove == $uuid && $self_privs == 3)) {
      $gr->setPrivilege($group_id, $remove, 'optout', false);
      $gr->setPrivilege($group_id, $remove, 'read', false);
      $gr->setPrivilege($group_id, $remove, 'update', false);
      $gr->setPrivilege($group_id, $remove, 'admin', false);
      if (!$gr->deleteMember($remove, $group_id)) {
	$page['errors'][] = ERROR_GROUPER_DELETEMEMBER;
      } else {
	$page['content'] .= $remove . " " . LBL_REMOVE_DELETED . "<br>\n";
      }
    }
  }
}

// Handle request deletes
if (isset($new_del_requests)) foreach($new_del_requests as $key => $remove) {
  if (!delete_request($db, $remove, $group_id)) {
    $page['errors'][] = ERROR_DELETE_REQUEST;
  } else {
    $page['content'] .= $remove . " " . LBL_REMOVE_DELETED . "<br>\n";
  }
}

$page['content'] .= "<br>\n";

$page['content'] .= "<form method='post' action='index.php?p=members'>\n";
$page['content'] .= "<input type=hidden name='group_id' value='" . $group_id . "'>\n";
$page['content'] .= "<input type='submit' name='control' value='" . LBL_REMOVE_RETURN . "'>\n";
$page['content'] .= "</form>\n";



?>